Bug 1804661 - ISE when using vmware compute resource [NEEDINFO]
Summary: ISE when using vmware compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.7.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL:
Whiteboard:
: 1678990 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 10:59 UTC by Waldirio M Pinheiro
Modified: 2020-07-10 09:10 UTC (History)
7 users (show)

Fixed In Version: foreman-1.24.1.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:43 UTC
Target Upstream Version:
mhulan: needinfo? (chrobert)


Attachments (Terms of Use)
before patch (123.21 KB, image/png)
2020-03-02 15:18 UTC, Chris Roberts
no flags Details
after patch (343.40 KB, image/png)
2020-03-02 15:19 UTC, Chris Roberts
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29263 Normal Closed Internal Server Error under user with limited priviledges in vmware CR 2020-07-10 08:38:44 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:53 UTC

Description Waldirio M Pinheiro 2020-02-19 10:59:19 UTC
Description of problem:
After configuring the VMWare Compute resource, we got ISE when accessing the Virtual Machines tab
---
There was an error listing VMs: 500 Internal Server Error
---

Version-Release number of selected component (if applicable):
6.7

How reproducible:
100%

Steps to Reproduce:
1. Creating a new Compute Resource
2. After saving, trying to access the Virtual Machines tab
3.

Actual results:
ISE

Expected results:
See the VM's

Additional info:

Note. The information on Images and Compute profiles are working as expected binding information from vCenter.

Comment 9 Chris Roberts 2020-03-02 15:18:44 UTC
Created attachment 1666985 [details]
before patch

Comment 10 Chris Roberts 2020-03-02 15:19:11 UTC
Created attachment 1666986 [details]
after patch

Comment 11 Chris Roberts 2020-03-02 15:19:33 UTC
Screenshot showing the MR works:

Before:

before.png

After:

after.png

Comment 13 Ondřej Ezr 2020-03-04 16:13:24 UTC
Created redmine issue https://projects.theforeman.org/issues/29263 from this bug

Comment 15 Chris Roberts 2020-03-04 18:22:07 UTC
*** Bug 1678990 has been marked as a duplicate of this bug. ***

Comment 16 Jitendra Yejare 2020-03-09 08:47:32 UTC
Verified!

@ Satellite 6.7 snap 15

Steps:
----------
1. Create VMWare CR in Redhat.
2. List all the VMs of VMWare CR from 'Virtual Machine' tab.


Observation:
------------------
All the VMs are listed from VMWare without an ISE.

Comment 20 errata-xmlrpc 2020-04-14 13:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454

Comment 21 wclark 2020-04-27 20:13:30 UTC
A HOTFIX is available to resolve this issue on Satellite 6.6.3. Please see the instructions below to obtain the hotfix:

1. Open a support case with Red Hat Technical Support to be provided with the RPM, since the file is too large to be uploaded as a Bugzilla attachment

2. Make a backup or snapshot of Satellite server

3. Copy the RPM to Satellite server

4. # yum install ./foreman-1.22.0.39-3.HOTFIXRHBZ1804661.el7sat.noarch.rpm --disableplugin=foreman-protector

5. # systemctl restart httpd

Comment 23 wclark 2020-04-28 13:03:03 UTC
Addendum to previous hotfix installation instructions. When installing the foreman package with yum, you would see errors about missing dependencies (these are defined in the RPM metadata but not actually needed for this particular hotfix as they contain no changes from the base package version).

Therefore please substitute for step #4:

4. rpm -Uvh ./foreman-1.22.0.39-3.HOTFIXRHBZ1804661.el7sat.noarch.rpm --nodeps

Thanks,


Note You need to log in before you can comment on or make changes to this bug.